summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-vim/breakpts
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-vim/breakpts')
-rw-r--r--app-vim/breakpts/Manifest1
-rw-r--r--app-vim/breakpts/breakpts-4.0.ebuild22
-rw-r--r--app-vim/breakpts/metadata.xml5
3 files changed, 28 insertions, 0 deletions
diff --git a/app-vim/breakpts/Manifest b/app-vim/breakpts/Manifest
new file mode 100644
index 00000000000..4a3e677964e
--- /dev/null
+++ b/app-vim/breakpts/Manifest
@@ -0,0 +1 @@
+DIST breakpts-4.0.tar.bz2 17349 SHA256 ef2f7b1ba7d1b6c7e691c028599c5b531bc78aeb79001a724a0ed1c22e237d79 SHA512 a480bf32cd3e756ac25849b1d5fd20521bd8c965454bb94c33810c9d1d4464762a731d08dcae858c59853a6cf41ab3cb6cddeda440c8b041cc8ec192ab2bd2fd WHIRLPOOL 7114a7aaf9d5f6bc991392dae8e7b2ee6b83e89e08a9146dcd3d2d1e6d15dd8d5b9a985d10cc5fbf304e4108e3e8f70c85789eec624e1983fe49c3b0cf238907
diff --git a/app-vim/breakpts/breakpts-4.0.ebuild b/app-vim/breakpts/breakpts-4.0.ebuild
new file mode 100644
index 00000000000..70d2dd10937
--- /dev/null
+++ b/app-vim/breakpts/breakpts-4.0.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit vim-plugin
+
+DESCRIPTION="vim plugin: sets vim breakpoints visually"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=618"
+LICENSE="GPL-2"
+KEYWORDS="alpha amd64 ia64 ~mips ppc sparc x86"
+IUSE=""
+
+RDEPEND="
+ || ( >=app-editors/vim-7.0 >=app-editors/gvim-7.0 )
+ >=app-vim/multvals-3.6.1
+ >=app-vim/genutils-1.13
+ >=app-vim/foldutil-1.6"
+
+VIM_PLUGIN_HELPTEXT=\
+"This plugin allows breakpoints to be set and cleared visually. To start,
+use :BreakPts, move to the required function and press <CR>. Breakpoints
+can then be added using :BPToggle or <F9>."
diff --git a/app-vim/breakpts/metadata.xml b/app-vim/breakpts/metadata.xml
new file mode 100644
index 00000000000..d221a8d4b42
--- /dev/null
+++ b/app-vim/breakpts/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>vim</herd>
+</pkgmetadata>